## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(gDRutils)
suppressPackageStartupMessages(library(MultiAssayExperiment))

## -----------------------------------------------------------------------------
mae <- get_synthetic_data("finalMAE_combo_matrix_small")
MAEpply(mae, dim)

## -----------------------------------------------------------------------------
MAEpply(mae, rowData)

## -----------------------------------------------------------------------------
MAEpply(mae, rowData, unify = TRUE)

## -----------------------------------------------------------------------------
mdt <- convert_mae_assay_to_dt(mae, "Metrics")
head(mdt, 3)

## -----------------------------------------------------------------------------
se <- mae[[1]]
sdt <- convert_se_assay_to_dt(se, "Metrics")
head(sdt, 3)

## -----------------------------------------------------------------------------
get_env_identifiers()

## -----------------------------------------------------------------------------
set_env_identifier("concentration", "Dose")

## -----------------------------------------------------------------------------
get_env_identifiers("concentration")

## -----------------------------------------------------------------------------
reset_env_identifiers()

## -----------------------------------------------------------------------------
get_env_identifiers("concentration")

## -----------------------------------------------------------------------------
validate_MAE(mae)

## -----------------------------------------------------------------------------
validate_SE(se)

## ----error=TRUE---------------------------------------------------------------
assay(se, "Normalized") <- NULL
validate_SE(se)

## ----sessionInfo--------------------------------------------------------------
sessionInfo()

